# Method __builtin.Nettle.Hash()->SCRAM()->client_2()

Method client_2

  ``string(7bit)` client_2(`string(8bit)` `line`, `string(8bit)` `pass`)`

Description

  Client-side step 2 in the SCRAM handshake.

Parameter `line`

  The received server-first challenge from the server.

Parameter `pass`

  The password to feed to the server.

Returns

  The client-final response to send to the server. If the response is null, the server sent something unacceptable or unparseable.

See also

  client_3